Groovy 1.7.10

## org.codehaus.groovy.control
[Java] Class MultipleCompilationErrorsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.lang.GroovyRuntimeException
                      org.codehaus.groovy.control.CompilationFailedException
                          org.codehaus.groovy.control.MultipleCompilationErrorsException

    public class MultipleCompilationErrorsException
    extends CompilationFailedException

Authors:
  Jochen Theodorou

Field Summary
`protected ErrorCollector` | `collector`

Fields inherited from class CompilationFailedException
phase, unit

Constructor Summary
`MultipleCompilationErrorsException(ErrorCollector ec)`

Method Summary
`ErrorCollector` | `getErrorCollector()`
`String` | `getMessage()`

Methods inherited from class CompilationFailedException
getUnit

Methods inherited from class GroovyRuntimeException
getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule

Methods inherited from class RuntimeException
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Exception
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Throwable
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### collector

    protected ErrorCollector collector

Constructor Detail

### MultipleCompilationErrorsException

    public MultipleCompilationErrorsException(ErrorCollector ec)

Method Detail

### getErrorCollector

    public ErrorCollector getErrorCollector()

### getMessage

    public String getMessage()

Copyright © 2003-2010 The Codehaus. All rights reserved.